جامعه آزاد رایانش ابری
بورد جامعه آزاد رایانش ابری
حمایت مالی برای توسعه جامعه
دانشنامه آزاد رایانش ابری ایران
آرشیو وبینارها و جلسات آنلاین جامعه
در صورت ایجاد کاربر جدید در سایت حتما پوشه اسپم خود را چک کنید و برای دریافت ایمیل های بعدی از این سایت در خصوص پاسخ های مطرح شده، تنظیمات رفع اسپم در صندوق پست الکترونیک خود را انجام دهید.

همیشه توجه داشته باشیم که با رأی مثبت خود می توانیم از دوستانمان تشکر کنیم!

دسته بندی ها

897 سوال

854 پاسخ

364 نظر

1.2k کاربر


فعال ترین کاربران
این ماه:
    Gute Mathe-Fragen - Bestes Mathe-Forum
    +6 امتیاز
    وقتی مثال MadMc موجود در مسیر زیر رو
    org.cloudbus.cloudsim.examples.power.random
     
    اجرا میکنم با خطای زیر مواجه میشم ::
     
     
    Exception in thread "main" java.lang.UnsupportedClassVersionError: flanagan/analysis/Regression : Unsupported major.minor version 52.0
        at java.lang.ClassLoader.defineClass1(Native Method)
        at java.lang.ClassLoader.defineClass(Unknown Source)
        at java.security.SecureClassLoader.defineClass(Unknown Source)
        at java.net.URLClassLoader.defineClass(Unknown Source)
        at java.net.URLClassLoader.access$100(Unknown Source)
        at java.net.URLClassLoader$1.run(Unknown Source)
        at java.net.URLClassLoader$1.run(Unknown Source)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(Unknown Source)
        at java.lang.ClassLoader.loadClass(Unknown Source)
        at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
        at java.lang.ClassLoader.loadClass(Unknown Source)
        at org.cloudbus.cloudsim.power.PowerVmSelectionPolicyMaximumCorrelation.getCorrelationCoefficients(PowerVmSelectionPolicyMaximumCorrelation.java:132)
        at org.cloudbus.cloudsim.power.PowerVmSelectionPolicyMaximumCorrelation.getVmToMigrate(PowerVmSelectionPolicyMaximumCorrelation.java:61)
        at org.cloudbus.cloudsim.power.PowerVmAllocationPolicyMigrationAbstract.getVmsToMigrateFromHosts(PowerVmAllocationPolicyMigrationAbstract.java:527)
        at org.cloudbus.cloudsim.power.PowerVmAllocationPolicyMigrationAbstract.optimizeAllocation(PowerVmAllocationPolicyMigrationAbstract.java:110)
        at org.cloudbus.cloudsim.power.PowerDatacenter.updateCloudletProcessing(PowerDatacenter.java:102)
        at org.cloudbus.cloudsim.Datacenter.processEvent(Datacenter.java:255)
        at org.cloudbus.cloudsim.core.SimEntity.run(SimEntity.java:406)
        at org.cloudbus.cloudsim.core.CloudSim.runClockTick(CloudSim.java:471)
        at org.cloudbus.cloudsim.core.CloudSim.run(CloudSim.java:835)
        at org.cloudbus.cloudsim.core.CloudSim.startSimulation(CloudSim.java:151)
        at org.cloudbus.cloudsim.examples.power.RunnerAbstract.start(RunnerAbstract.java:174)
        at org.cloudbus.cloudsim.examples.power.RunnerAbstract.<init>(RunnerAbstract.java:97)
        at org.cloudbus.cloudsim.examples.power.random.RandomRunner.<init>(RandomRunner.java:53)
        at org.cloudbus.cloudsim.examples.power.random.MadMc.main(MadMc.java:40)
    :

    ---------------------------------------------------------------------------------------------------------------------

    ضمنا من فایل زیر رو به لایبرری اضافه کردم:

    flanagan.jar
     
    اما وقتی هر یک از کلاس های
    flanagan
    رو باز میکنم با عبارت زیر مواجه میشم:
    source not found.
     
    لطفا کمک کنید، منبع این خطا چیه
    برام خیلی مهمه
    image

     

    بوسیله ی (کاربر معمولی) (257 امتیاز)
    برچسب گذاری دوباره بوسیله ی
    برای یافتن پاسخ های بیشتر، سئوال را به اشتراک بگذارید:
    میبخشید من فایل خطا رو میفرستم بالایی ناخواناست:
    http://s6.picofile.com/file/8189449476/1.docx.html
    http://s3.picofile.com/file/8189449492/2.docx.html
    java.lang.UnsupportedClassVersionError  
    زمانی رخ میده که ورژن JDK  و JRE یکی نباشه.
     اگر از NetBeans  استفاده می کنید در
    Tools->Options-> java manage platforms
     می توانید JDK  هم ورژن با JRE  را انتخاب کنید.

    2 پاسخ

    0 امتیاز
     
    بهترین پاسخ

    چنین مشکلیدر حین اجرای من وجود نداره

    یکبار کلادسیم رو از وبسایت دانلود کن تا آخرین نسخه باشه

    از اخرین نسخه جاوا استفاده کن 

    ببین ایا بازهم مشکل هست:

    اگر داخل

    Eclipse 

    داری اجرا می گیری ببین در کلاس

    PowerVmSelectionPolicyMaximumCorrelation

    خطای کامپایل داری یا نه

    مطمپن شو که تمام بسته های جار مربوط به اجرای کلاس رو به

    Eclipse

    اضافه کرده باشی

     

    بوسیله ی (کاربر معمولی) (245 امتیاز)
    انتخاب شده بوسیله ی
    0 امتیاز

     java.lang.UnsupportedClassVersionErro

     

    زمانی رخ میده که ورژن  JDK و JRE  یکی نباشه.

    اگر از NetBeans استفاده می کنید 

    Tools->Options->java manage platforms

    و JDK  هم ورژن با JRE را انتخاب کنید.

     

     

    بوسیله ی (کاربر معمولی) (112 امتیاز)
    ...